package dbhandler

import "git.acooldomain.co/server-manager/backend-kubernetes-go/models"

type AuthorizationDbHandler interface {
	AddPermissions(username string, server_id string, permissions models.Permission) error
	RemovePermissions(username string, server_id string, permissions models.Permission) error
	SetPermissions(username string, server_id string, permissions models.Permission) error
	GetPermissions(username string, server_id string) (models.Permission, error)
	RemoveUser(username string) error
	RemoveServer(server_id string) error
}
