# Server Manager Kubernetes Operator

Implements Server Manager capabilities (including web-ui/auth) in kubernetes

## Config Example

### Yaml Config format

```yaml
email:
    from": ""
    username":  ""
    password":  ""
    server":    ""

servers_database:
    type: "" # mongo / kubernetes
    mongo:
        uesrname: ""
        password: ""
        url: ""

users_database:
    type: "" # mongo / ...
    mongo:
        username: ""
        password: ""
        url: ""

signing:
    algorithm": "HS512"
    key: ""

domain: "games.acooldomain.co"
```
